Bug 169809 - Enabling the qml-designer in devel/qtcreator
Enabling the qml-designer in devel/qtcreator
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: kde
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-12 17:00 UTC by Tobias Berner
Modified: 2013-02-03 17:38 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Berner 2012-07-12 17:00:07 UTC
The designer of qtcreator needs some private qt-header files present to be built.
From the readme:
      Qt Quick Designer (QmlDesigner plugin) depends on "private" headers from Qt 4.7.4, specifically from the QtDeclarative module. These private headers always end with an "_p.h". 
These are not installed by the ports.

Fix: 

As far as I can tell the private headers of QtCorelib, QtDeclarative and QtScript are needed to build qtcreator with the designer. 

One way to do this, as mentioned in the qtcreator readme is to pass -developer-build to these port's configure and install them with the ports. Perhaps it would be enough to extract the qt-source file and pass its include path via QT_PRIVATE_HEADERS when building qtcreator (also mentioned in the readme).


I have a running qtcreator (from git) with designer by using the -developer-build option.
How-To-Repeat: Install devel/qtcreator from ports and try using the designer.
Comment 1 Edwin Groothuis freebsd_committer 2012-07-12 17:19:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kde

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Alberto Villa freebsd_committer 2012-09-03 09:44:28 UTC
State Changed
From-To: open->patched

Support was added to area51. As soon as the change is approved (or 
modified) by the team, I'll commit it to ports.
Comment 3 dfilter freebsd_committer 2013-02-03 17:22:14 UTC
Author: makc
Date: Sun Feb  3 17:21:56 2013
New Revision: 311473
URL: http://svnweb.freebsd.org/changeset/ports/311473

Log:
  KDE/FreeBSD team presents Qt 4.8.4 and QtCreator 2.6.1 ports.
  The area51 repository features commits by Alonso Schaich, avilla, fluffy,
  jhale, makc and rakuco.
  
  Common changes:
  - Trim Makefile header
  - Convert to new option framework
  - Add/improve desktop entries
  - Remove upstreamed patches
  
  Mk/bsd.qt.mk:
  - Set QMAKESPEC at late stage (to fix potential problem if USE_GCC is used) [1]
  
  devel/qmake:
  - Fix crash due to off-by one error [2]
  
  multimedia/qt4-phonon*:
  - Deprecate in favour of multimedia/phonon*
  
  www/qt4-webkit:
  - Make dependence on GStreamer optional [3]
  
  devel/qtcreator:
  - Enable qml-designer in devel/qtcreator (requires privite Qt headers) [4]
  
  Reported by:	avg via irc [1]
  Submitted by:	avg via maillist [2]
  PR:		ports/175644 [3]
  Submitted by:	danfe [3]
  PR:		ports/169809 [4]
  Reported by:	tcb <tcberner at gmail.com> [4]

Added:
  head/devel/qmake4/files/patch-option.cpp   (contents, props changed)
  head/devel/qtcreator/files/patch-src__libs__utils__savefile.cpp   (contents, props changed)
  head/devel/qtcreator/files/patch-src__plugins__android__androidconfigurations.h   (contents, props changed)
  head/devel/qtcreator/files/patch-src__plugins__android__androidsettingswidget.cpp   (contents, props changed)
  head/devel/qtcreator/files/patch-src__plugins__android__androidtoolchain.cpp   (contents, props changed)
  head/devel/qtcreator/files/patch-src__plugins__qt4projectmanager__makestep.cpp   (contents, props changed)
Deleted:
  head/devel/dbus-qt4/files/patch-src__corelib__tools__qiterator.h
  head/devel/qt4-corelib/files/patch-src__corelib__tools__qiterator.h
  head/devel/qt4-corelib/files/patch-src__corelib__tools__qsharedpointer_impl.h
  head/devel/qtcreator/files/patch-src-plugins-qt4projectmanager-makestep.cpp
  head/x11-toolkits/qt4-gui/files/
  head/x11/qt4-opengl/files/
Modified:
  head/Mk/bsd.qt.mk   (contents, props changed)
  head/accessibility/qt4-accessible/Makefile   (contents, props changed)
  head/chinese/qt4-codecs-cn/Makefile   (contents, props changed)
  head/chinese/qt4-codecs-tw/Makefile   (contents, props changed)
  head/databases/qt4-ibase-plugin/Makefile   (contents, props changed)
  head/databases/qt4-mysql-plugin/Makefile   (contents, props changed)
  head/databases/qt4-odbc-plugin/Makefile   (contents, props changed)
  head/databases/qt4-pgsql-plugin/Makefile   (contents, props changed)
  head/databases/qt4-sql/Makefile   (contents, props changed)
  head/databases/qt4-sqlite-plugin/Makefile   (contents, props changed)
  head/databases/qt4-sqlite3-plugin/Makefile   (contents, props changed)
  head/devel/dbus-qt4/Makefile   (contents, props changed)
  head/devel/qmake4/Makefile   (contents, props changed)
  head/devel/qmake4/files/patch-qt4-before-ports-in-mkspecs.diff   (contents, props changed)
  head/devel/qmake4/pkg-plist   (contents, props changed)
  head/devel/qt4-assistant-adp/Makefile   (contents, props changed)
  head/devel/qt4-assistant/Makefile   (contents, props changed)
  head/devel/qt4-corelib/Makefile   (contents, props changed)
  head/devel/qt4-declarative/Makefile   (contents, props changed)
  head/devel/qt4-designer/Makefile   (contents, props changed)
  head/devel/qt4-help-tools/Makefile   (contents, props changed)
  head/devel/qt4-help/Makefile   (contents, props changed)
  head/devel/qt4-libqtassistantclient/Makefile   (contents, props changed)
  head/devel/qt4-linguist/Makefile   (contents, props changed)
  head/devel/qt4-makeqpf/Makefile   (contents, props changed)
  head/devel/qt4-moc/Makefile   (contents, props changed)
  head/devel/qt4-porting/Makefile   (contents, props changed)
  head/devel/qt4-qdbusviewer/Makefile   (contents, props changed)
  head/devel/qt4-qdbusviewer/pkg-plist   (contents, props changed)
  head/devel/qt4-qdoc3/Makefile   (contents, props changed)
  head/devel/qt4-qmlviewer/Makefile   (contents, props changed)
  head/devel/qt4-qt3support/Makefile   (contents, props changed)
  head/devel/qt4-qtestlib/Makefile   (contents, props changed)
  head/devel/qt4-qvfb/Makefile   (contents, props changed)
  head/devel/qt4-qvfb/pkg-plist   (contents, props changed)
  head/devel/qt4-rcc/Makefile   (contents, props changed)
  head/devel/qt4-script/Makefile   (contents, props changed)
  head/devel/qt4-scripttools/Makefile   (contents, props changed)
  head/devel/qt4-uic/Makefile   (contents, props changed)
  head/devel/qt4-uic3/Makefile   (contents, props changed)
  head/devel/qt4/Makefile   (contents, props changed)
  head/devel/qt4/distinfo   (contents, props changed)
  head/devel/qtcreator/Makefile
  head/devel/qtcreator/distinfo   (contents, props changed)
  head/devel/qtcreator/pkg-descr   (contents, props changed)
  head/devel/qtcreator/pkg-plist   (contents, props changed)
  head/graphics/qt4-iconengines/Makefile   (contents, props changed)
  head/graphics/qt4-imageformats/Makefile   (contents, props changed)
  head/graphics/qt4-pixeltool/Makefile   (contents, props changed)
  head/graphics/qt4-svg/Makefile   (contents, props changed)
  head/japanese/qt4-codecs-jp/Makefile   (contents, props changed)
  head/korean/qt4-codecs-kr/Makefile   (contents, props changed)
  head/misc/qt4-doc/Makefile   (contents, props changed)
  head/misc/qt4-doc/pkg-plist   (contents, props changed)
  head/misc/qt4-l10n/Makefile   (contents, props changed)
  head/misc/qt4-qtconfig/Makefile   (contents, props changed)
  head/misc/qt4-qtconfig/pkg-plist   (contents, props changed)
  head/misc/qt4-qtdemo/Makefile   (contents, props changed)
  head/misc/qt4-qtdemo/pkg-plist   (contents, props changed)
  head/multimedia/qt4-multimedia/Makefile   (contents, props changed)
  head/multimedia/qt4-phonon-gst/Makefile   (contents, props changed)
  head/multimedia/qt4-phonon/Makefile   (contents, props changed)
  head/net/qt4-network/Makefile   (contents, props changed)
  head/textproc/qt4-clucene/Makefile   (contents, props changed)
  head/textproc/qt4-xml/Makefile   (contents, props changed)
  head/textproc/qt4-xmlpatterns-tool/Makefile   (contents, props changed)
  head/textproc/qt4-xmlpatterns/Makefile   (contents, props changed)
  head/www/qt4-webkit/Makefile
  head/www/qt4-webkit/pkg-plist   (contents, props changed)
  head/x11-toolkits/qt4-gui/Makefile   (contents, props changed)
  head/x11-toolkits/qt4-gui/pkg-plist   (contents, props changed)
  head/x11/qt4-graphicssystems-opengl/Makefile   (contents, props changed)
  head/x11/qt4-inputmethods/Makefile   (contents, props changed)
  head/x11/qt4-opengl/Makefile   (contents, props changed)

Modified: head/Mk/bsd.qt.mk
==============================================================================
--- head/Mk/bsd.qt.mk	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/Mk/bsd.qt.mk	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,6 +1,3 @@
-#-*- tab-width: 4; -*-
-# ex:ts=4
-#
 # $FreeBSD$
 #
 # Variables:
@@ -8,8 +5,6 @@
 # QT_DIST		- Package being built is part of the Qt distribution.
 #
 # Global switches (add this to /etc/make.conf):
-# WITH_QT_PHONON	- If set, Qt phonon will be used instead of standalone.
-#				Qt phonon doesn't work with KDE 4.4.
 # QT4_OPTIONS		- A list of options, can be CUPS, NAS and/or QGTKSTYLE.
 #				If set, Qt will be built with support for:
 #				- Common UNIX Printing System (CUPS);
@@ -65,10 +60,11 @@ CONFIGURE_ARGS+=-fast -platform ${QMAKES
 PLIST_SUB+=	SHLIB_VER=${QT4_VERSION:C/-.*//} \
 		SHLIB_SHVER=${QT4_VERSION:R}
 
-.if defined(PACKAGE_BUILDING)
-CONFIGURE_ARGS+=-no-mmx -no-3dnow -no-sse -no-sse2 -no-sse3 \
-		-no-ssse3 -no-sse4.1 -no-sse4.2
-.endif #defined(PACKAGE_BUILDING)
+# SIMD support is detected on runtime, no need to disable on build.
+#.if defined(PACKAGE_BUILDING)
+#CONFIGURE_ARGS+=-no-mmx -no-3dnow -no-sse -no-sse2 -no-sse3 \
+#		-no-ssse3 -no-sse4.1 -no-sse4.2
+#.endif #defined(PACKAGE_BUILDING)
 
 # .if defined(PORTNAME) && ${PORTNAME} != "xmlpatterns"
 # CONFIGURE_ARGS+=-no-exceptions
@@ -110,34 +106,6 @@ QMAKEFLAGS+=	QMAKE_CC="${CC}" QMAKE_CXX=
 		QMAKE_CFLAGS_THREAD="${PTHREAD_CFLAGS}" \
 		QMAKE_LFLAGS_THREAD="${PTHREAD_LIBS}"
 
-#
-# Translate `c++` to its real name and select the appropriate mkspec.
-#
-QMAKE_BASE_COMPILER!=	cc --version 2> /dev/null | ${AWK} 'NR == 1 { gsub(/[()]/, "", $$2); print $$2 }'
-.if ${QMAKE_BASE_COMPILER:L} == "gcc"
-QMAKE_BASE_COMPILER=	g++
-.endif
-.if ${CXX} == "c++"
-# Why CXX instead of CXX:T? Because if you're setting the full path of
-# `c++` you probably want to define QMAKESPEC by hand too.
-QMAKE_COMPILER=	${QMAKE_BASE_COMPILER}
-.elif ${CXX:T} == "clang++"
-QMAKE_COMPILER=	clang
-.elif ${CXX:C/c\+\+/g++/:T} == "llvm-g++"
-QMAKE_COMPILER=	llvm
-.elif ${CXX:T} == "icpc"
-QMAKE_COMPILER=	icc
-.else
-# Handle all the other cases (mainly g++*).
-QMAKE_COMPILER=	${CXX:C/c\+\+/g++/:T}
-.endif
-.if exists(${QT_PREFIX}/share/qt4/mkspecs/freebsd-${QMAKE_COMPILER})
-QMAKESPEC?=	${QT_PREFIX}/share/qt4/mkspecs/freebsd-${QMAKE_COMPILER}
-.else
-# If something went wrong, default to the base configuration.
-QMAKESPEC?=	${QT_PREFIX}/share/qt4/mkspecs/freebsd-${QMAKE_BASE_COMPILER}
-.endif
-
 QTCPPFLAGS?=
 QTCGFLIBS?=
 
@@ -146,7 +114,7 @@ QTCGFLIBS?=
 #
 # QT4 version
 #
-QT4_VERSION?=		4.8.2
+QT4_VERSION?=		4.8.4
 
 _USE_QT4_ALL=	accessible assistant assistant-adp assistantclient \
 			clucene codecs-cn codecs-jp codecs-kr codecs-tw corelib \
@@ -270,7 +238,7 @@ porting_DEPENDS=	${QT_PREFIX}/bin/qt3to4
 qdbusviewer_PORT=	devel/qt4-qdbusviewer
 qdbusviewer_DEPENDS=	${QT_PREFIX}/bin/qdbusviewer
 
-qmlviewer_PORT=	devel/qt4-qmlviewer
+qmlviewer_PORT=		devel/qt4-qmlviewer
 qmlviewer_DEPENDS=	${QT_PREFIX}/bin/qmlviewer
 
 qdoc3_PORT=	devel/qt4-qdoc3
@@ -345,6 +313,34 @@ xmlpatterns-tool_DEPENDS=	${QT_PREFIX}/b
 .if defined(_POSTMKINCLUDED) && !defined(Qt_Post_Include)
 Qt_Post_Include= bsd.qt.mk
 
+#
+# Translate `c++` to its real name and select the appropriate mkspec.
+#
+QMAKE_BASE_COMPILER!=	cc --version 2> /dev/null | ${AWK} 'NR == 1 { gsub(/[()]/, "", $$2); print $$2 }'
+.if ${QMAKE_BASE_COMPILER:L} == "gcc"
+QMAKE_BASE_COMPILER=	g++
+.endif
+.if ${CXX} == "c++"
+# Why CXX instead of CXX:T? Because if you're setting the full path of
+# `c++` you probably want to define QMAKESPEC by hand too.
+QMAKE_COMPILER=	${QMAKE_BASE_COMPILER}
+.elif ${CXX:T} == "clang++"
+QMAKE_COMPILER=	clang
+.elif ${CXX:C/c\+\+/g++/:T} == "llvm-g++"
+QMAKE_COMPILER=	llvm
+.elif ${CXX:T} == "icpc"
+QMAKE_COMPILER=	icc
+.else
+# Handle all the other cases (mainly g++*).
+QMAKE_COMPILER=	${CXX:C/c\+\+/g++/:T}
+.endif
+.if exists(${QT_PREFIX}/share/qt4/mkspecs/freebsd-${QMAKE_COMPILER})
+QMAKESPEC?=	${QT_PREFIX}/share/qt4/mkspecs/freebsd-${QMAKE_COMPILER}
+.else
+# If something went wrong, default to the base configuration.
+QMAKESPEC?=	${QT_PREFIX}/share/qt4/mkspecs/freebsd-${QMAKE_BASE_COMPILER}
+.endif
+
 .for component in ${_USE_QT4_ALL}
 ${component}_BUILD_DEPENDS?=	${${component}_DEPENDS}:${PORTSDIR}/${${component}_PORT}
 ${component}_RUN_DEPENDS?=	${${component}_DEPENDS}:${PORTSDIR}/${${component}_PORT}
@@ -355,9 +351,6 @@ ${component}_run_RUN_DEPENDS?=		${${comp
 _USE_QT4_ALL_SUFFIXED+=	${component} ${component}_build ${component}_run
 .endfor
 
-.if defined(QT_COMPONENTS)
-USE_QT4=  ${QT_COMPONENTS}
-.endif
 .if defined(USE_QT4)
 . for component in ${USE_QT4:O:u}
 .  if ${_USE_QT4_ALL_SUFFIXED:M${component}}!= ""

Modified: head/accessibility/qt4-accessible/Makefile
==============================================================================
--- head/accessibility/qt4-accessible/Makefile	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/accessibility/qt4-accessible/Makefile	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,10 +1,5 @@
-# -*-mode: makefile-*-
-# New ports collection makefile for:	qt40
-# Date created:				Wed Jun 29 11:49:42 CEST 2005
-# Whom:					lofi@freebsd.org
-#
+# Created by: lofi@freebsd.org
 # $FreeBSD$
-#
 
 PORTNAME=	accessible
 DISTVERSION=	${QT4_VERSION}

Modified: head/chinese/qt4-codecs-cn/Makefile
==============================================================================
--- head/chinese/qt4-codecs-cn/Makefile	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/chinese/qt4-codecs-cn/Makefile	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,10 +1,5 @@
-# -*-mode: makefile-*-
-# New ports collection makefile for:	qt40
-# Date created:				Wed Jun 29 11:49:42 CEST 2005
-# Whom:					lofi@freebsd.org
-#
+# Created by: lofi@freebsd.org
 # $FreeBSD$
-#
 
 PORTNAME=	codecs
 DISTVERSION=	${QT4_VERSION}

Modified: head/chinese/qt4-codecs-tw/Makefile
==============================================================================
--- head/chinese/qt4-codecs-tw/Makefile	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/chinese/qt4-codecs-tw/Makefile	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,10 +1,5 @@
-# -*-mode: makefile-*-
-# New ports collection makefile for:	qt40
-# Date created:				Wed Jun 29 11:49:42 CEST 2005
-# Whom:					lofi@freebsd.org
-#
+# Created by: lofi@freebsd.org
 # $FreeBSD$
-#
 
 PORTNAME=	codecs
 DISTVERSION=	${QT4_VERSION}

Modified: head/databases/qt4-ibase-plugin/Makefile
==============================================================================
--- head/databases/qt4-ibase-plugin/Makefile	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/databases/qt4-ibase-plugin/Makefile	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,10 +1,5 @@
-# -*-mode: makefile-*-
-# New ports collection makefile for:		qt-ibase-plugin
-# Date created:                         	27 February 2004
-# Whom:                                        	Michael Nottebrock <lofi@freebsd.org>
-#
+# Created by: Michael Nottebrock <lofi@freebsd.org>
 # $FreeBSD$
-#
 
 PORTNAME=	qt4-${DB}-plugin
 DISTVERSION=	${QT4_VERSION}

Modified: head/databases/qt4-mysql-plugin/Makefile
==============================================================================
--- head/databases/qt4-mysql-plugin/Makefile	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/databases/qt4-mysql-plugin/Makefile	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,10 +1,5 @@
-# -*-mode: makefile-*-
-# New ports collection makefile for:	qt-mysql-plugin
-# Date created:				20 April 2003
-# Whom:					Kay Lehmann <kay_lehmann@web.de>
-#
+# Created by: Kay Lehmann <kay_lehmann@web.de>
 # $FreeBSD$
-#
 
 PORTNAME=	qt4-${DB}-plugin
 DISTVERSION=	${QT4_VERSION}

Modified: head/databases/qt4-odbc-plugin/Makefile
==============================================================================
--- head/databases/qt4-odbc-plugin/Makefile	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/databases/qt4-odbc-plugin/Makefile	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,10 +1,5 @@
-# -*-mode: makefile-*-
-# New ports collection makefile for:		qt-odbc-plugin
-# Date created:                         	31 December 2003
-# Whom:					Michael Nottebrock <lofi@freebsd.org>
-#
+# Created by: Michael Nottebrock <lofi@freebsd.org>
 # $FreeBSD$
-#
 
 PORTNAME=	qt4-${DB}-plugin
 DISTVERSION=	${QT4_VERSION}

Modified: head/databases/qt4-pgsql-plugin/Makefile
==============================================================================
--- head/databases/qt4-pgsql-plugin/Makefile	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/databases/qt4-pgsql-plugin/Makefile	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,10 +1,5 @@
-# -*-mode: makefile-*-
-# New ports collection makefile for:		qt-pgsql-plugin
-# Date created:                         	5 August 2003
-# Whom:                                        	Lauri Watts <lauri@kde.org>
-#
+# Created by: Lauri Watts <lauri@kde.org>
 # $FreeBSD$
-#
 
 PORTNAME=	qt4-${DB}-plugin
 DISTVERSION=	${QT4_VERSION}

Modified: head/databases/qt4-sql/Makefile
==============================================================================
--- head/databases/qt4-sql/Makefile	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/databases/qt4-sql/Makefile	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,10 +1,5 @@
-# -*-mode: makefile-*-
-# New ports collection makefile for:	qt40
-# Date created:				Wed Jun 29 11:49:42 CEST 2005
-# Whom:					lofi@freebsd.org
-#
+# Created by: lofi@freebsd.org
 # $FreeBSD$
-#
 
 PORTNAME=	sql
 DISTVERSION=	${QT4_VERSION}

Modified: head/databases/qt4-sqlite-plugin/Makefile
==============================================================================
--- head/databases/qt4-sqlite-plugin/Makefile	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/databases/qt4-sqlite-plugin/Makefile	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,10 +1,5 @@
-# -*-mode: makefile-*-
-# New ports collection makefile for:		qt-sqlite-plugin
-# Date created:                         	27 February 2004
-# Whom:                                        	Michael Nottebrock <lofi@freebsd.org>
-#
+# Created by: Michael Nottebrock <lofi@freebsd.org>
 # $FreeBSD$
-#
 
 PORTNAME=	qt4-${DB}-plugin
 DISTVERSION=	${QT4_VERSION}

Modified: head/databases/qt4-sqlite3-plugin/Makefile
==============================================================================
--- head/databases/qt4-sqlite3-plugin/Makefile	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/databases/qt4-sqlite3-plugin/Makefile	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,10 +1,5 @@
-# -*-mode: makefile-*-
-# New ports collection makefile for:		qt-sqlite-plugin
-# Date created:                         	27 February 2004
-# Whom:                                        	Michael Nottebrock <lofi@freebsd.org>
-#
+# Created by: Michael Nottebrock <lofi@freebsd.org>
 # $FreeBSD$
-#
 
 PORTNAME=	qt4-${DB}-plugin
 DISTVERSION=	${QT4_VERSION}

Modified: head/devel/dbus-qt4/Makefile
==============================================================================
--- head/devel/dbus-qt4/Makefile	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/devel/dbus-qt4/Makefile	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,10 +1,5 @@
-### -*-mode: makefile-*-
-# New ports collection makefile for:	qt40
-# Date created:				Wed Jun 29 11:49:42 CEST 2005
-# Whom:					lofi@freebsd.org
-#
+# Created by: lofi@freebsd.org
 # $FreeBSD$
-#
 
 PORTNAME=	dbus
 DISTVERSION=	${QT4_VERSION}

Modified: head/devel/qmake4/Makefile
==============================================================================
--- head/devel/qmake4/Makefile	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/devel/qmake4/Makefile	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,19 +1,15 @@
-# New ports collection makefile for:	qmake-4
-# Date created:				Tue Jul 12 16:04:29 UTC 2005
-# Whom:					lofi@freebsd.org,
-#					mi@aldan.algebra.com
-#
+# Created by: lofi@freebsd.org, mi@aldan.algebra.com
 # $FreeBSD$
 
 PORTNAME=	qmake
 DISTVERSION=	${QT4_VERSION}
-PORTREVISION=	3
 CATEGORIES=	devel
 PKGNAMEPREFIX=	qt4-
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	The build utility of the Qt project
 
+USE_QT4=	#empty
 QT_NONSTANDARD=	yes
 QT_DIST=	yes
 REINPLACE_ARGS=	-i ""
@@ -80,14 +76,7 @@ do-configure:
 	${ECHO} '/* empty */' > ${WRKSRC}/qconfig.h
 	${LN} ${WRKSRC}/qconfig.h ${WRKSRC}/../src/corelib/global/qconfig.h
 
-.include <bsd.port.pre.mk>
-.include "${.CURDIR}/../../Mk/bsd.qt.mk"
-
-.if ${ARCH} == "alpha"
-CXXFLAGS+=	-mieee
-.endif
-
 post-install:
 	${LN} -sf ${PREFIX}/share/qt4/mkspecs/freebsd-${QMAKE_BASE_COMPILER} ${PREFIX}/share/qt4/mkspecs/default
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Added: head/devel/qmake4/files/patch-option.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/qmake4/files/patch-option.cpp	Sun Feb  3 17:21:56 2013	(r311473)
@@ -0,0 +1,11 @@
+--- ./option.cpp.orig	2012-09-11 01:36:36.000000000 +0000
++++ ./option.cpp	2012-10-27 21:51:28.131151563 +0000
+@@ -482,7 +482,7 @@
+                     env_argc++;
+                 }
+             } else {
+-                if(!env_argv || env_argc > env_size) {
++                if(!env_argv || env_argc >= env_size) {
+                     env_argv = (char **)realloc(env_argv, sizeof(char *)*(env_size+=10));
+                     for(int i2 = env_argc; i2 < env_size; i2++)
+                         env_argv[i2] = NULL;

Modified: head/devel/qmake4/files/patch-qt4-before-ports-in-mkspecs.diff
==============================================================================
--- head/devel/qmake4/files/patch-qt4-before-ports-in-mkspecs.diff	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/devel/qmake4/files/patch-qt4-before-ports-in-mkspecs.diff	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,5 +1,5 @@
---- ../mkspecs/freebsd-g++/qmake.conf.old	2011-09-17 01:02:43.000000000 -0300
-+++ ../mkspecs/freebsd-g++/qmake.conf	2011-09-17 00:23:09.000000000 -0300
+--- ../mkspecs/freebsd-g++/qmake.conf.orig	2012-09-10 18:36:35.000000000 -0700
++++ ../mkspecs/freebsd-g++/qmake.conf	2012-09-16 16:13:00.894513577 -0700
 @@ -13,8 +13,8 @@
  QMAKE_CXXFLAGS_THREAD	= $$QMAKE_CFLAGS_THREAD
  
@@ -11,16 +11,11 @@
  QMAKE_INCDIR_X11	= /usr/X11R6/include
  QMAKE_LIBDIR_X11	= /usr/X11R6/lib
  QMAKE_INCDIR_QT		= $$[QT_INSTALL_HEADERS]
---- ../mkspecs/freebsd-g++46/qmake.conf.old	2011-09-17 01:03:00.000000000 -0300
-+++ ../mkspecs/freebsd-g++46/qmake.conf	2011-09-17 00:23:41.000000000 -0300
-@@ -12,13 +12,9 @@
- 
+--- ../mkspecs/freebsd-g++46/qmake.conf.orig	2012-09-10 18:36:35.000000000 -0700
++++ ../mkspecs/freebsd-g++46/qmake.conf	2012-09-16 16:13:00.894513577 -0700
+@@ -13,8 +13,8 @@
  QMAKE_CXXFLAGS_THREAD	= $$QMAKE_CFLAGS_THREAD
  
--QMAKE_CC = gcc46
--
--QMAKE_CXX = g++46
--
  # Addon software goes into /usr/local on the BSDs, by default we will look there
 -QMAKE_INCDIR		= /usr/local/include
 -QMAKE_LIBDIR		= /usr/local/lib
@@ -29,18 +24,3 @@
  QMAKE_INCDIR_X11	= /usr/X11R6/include
  QMAKE_LIBDIR_X11	= /usr/X11R6/lib
  QMAKE_INCDIR_QT		= $$[QT_INSTALL_HEADERS]
-@@ -55,4 +51,14 @@
- include(../common/unix.conf)
- include(../common/gcc-base-unix.conf)
- include(../common/g++-unix.conf)
-+
-+# Redefined here because g++-base.conf sets QMAKE_CC and QMAKE_CXX
-+# to gcc and g++, respectively.
-+QMAKE_CC           = gcc46
-+QMAKE_CXX          = g++46
-+QMAKE_LINK_C       = $$QMAKE_CC
-+QMAKE_LINK_C_SHLIB = $$QMAKE_CC
-+QMAKE_LINK         = $$QMAKE_CXX
-+QMAKE_LINK_SHLIB   = $$QMAKE_CXX
-+
- load(qt_config)

Modified: head/devel/qmake4/pkg-plist
==============================================================================
--- head/devel/qmake4/pkg-plist	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/devel/qmake4/pkg-plist	Sun Feb  3 17:21:56 2013	(r311473)
@@ -7,6 +7,10 @@ share/qt4/mkspecs/aix-xlc-64/qmake.conf
 share/qt4/mkspecs/aix-xlc-64/qplatformdefs.h
 share/qt4/mkspecs/aix-xlc/qmake.conf
 share/qt4/mkspecs/aix-xlc/qplatformdefs.h
+share/qt4/mkspecs/blackberry-armv7le-qcc/qmake.conf
+share/qt4/mkspecs/blackberry-armv7le-qcc/qplatformdefs.h
+share/qt4/mkspecs/blackberry-x86-qcc/qmake.conf
+share/qt4/mkspecs/blackberry-x86-qcc/qplatformdefs.h
 share/qt4/mkspecs/common/aix/qplatformdefs.h
 share/qt4/mkspecs/common/armcc.conf
 share/qt4/mkspecs/common/c89/qplatformdefs.h
@@ -15,11 +19,22 @@ share/qt4/mkspecs/common/g++-base.conf
 share/qt4/mkspecs/common/g++-macx.conf
 share/qt4/mkspecs/common/g++-unix.conf
 share/qt4/mkspecs/common/g++.conf
+share/qt4/mkspecs/common/gcc-base-ios.conf
 share/qt4/mkspecs/common/gcc-base-macx.conf
 share/qt4/mkspecs/common/gcc-base-unix.conf
 share/qt4/mkspecs/common/gcc-base.conf
 share/qt4/mkspecs/common/ghs-base-integrity.conf
 share/qt4/mkspecs/common/integrity/qplatformdefs.h
+share/qt4/mkspecs/common/ios.conf
+share/qt4/mkspecs/common/ios/GLES/gl.h
+share/qt4/mkspecs/common/ios/GLES2/gl2.h
+share/qt4/mkspecs/common/ios/arch.conf
+share/qt4/mkspecs/common/ios/clang.conf
+share/qt4/mkspecs/common/ios/g++.conf
+share/qt4/mkspecs/common/ios/llvm.conf
+share/qt4/mkspecs/common/ios/qmake.conf
+share/qt4/mkspecs/common/ios/qplatformdefs.h
+share/qt4/mkspecs/common/ios/versions.conf
 share/qt4/mkspecs/common/linux.conf
 share/qt4/mkspecs/common/llvm.conf
 share/qt4/mkspecs/common/mac.conf
@@ -76,6 +91,7 @@ share/qt4/mkspecs/features/declarative_d
 share/qt4/mkspecs/features/default_post.prf
 share/qt4/mkspecs/features/default_pre.prf
 share/qt4/mkspecs/features/designer.prf
+share/qt4/mkspecs/features/device_config.prf
 share/qt4/mkspecs/features/dll.prf
 share/qt4/mkspecs/features/egl.prf
 share/qt4/mkspecs/features/enable_backup.prf
@@ -287,16 +303,10 @@ share/qt4/mkspecs/netbsd-g++/qmake.conf
 share/qt4/mkspecs/netbsd-g++/qplatformdefs.h
 share/qt4/mkspecs/openbsd-g++/qmake.conf
 share/qt4/mkspecs/openbsd-g++/qplatformdefs.h
-share/qt4/mkspecs/qpa/common/g++-base-macx-iphone.conf
-share/qt4/mkspecs/qpa/common/g++-base-macx-iphonedevice.conf
-share/qt4/mkspecs/qpa/macx-iphonedevice-g++-armv6/qmake.conf
-share/qt4/mkspecs/qpa/macx-iphonedevice-g++-armv6/qplatformdefs.h
-share/qt4/mkspecs/qpa/macx-iphonedevice-g++-armv7-nothumb/qmake.conf
-share/qt4/mkspecs/qpa/macx-iphonedevice-g++-armv7-nothumb/qplatformdefs.h
-share/qt4/mkspecs/qpa/macx-iphonedevice-g++/qmake.conf
-share/qt4/mkspecs/qpa/macx-iphonedevice-g++/qplatformdefs.h
-share/qt4/mkspecs/qpa/macx-iphonesimulator-g++/qmake.conf
-share/qt4/mkspecs/qpa/macx-iphonesimulator-g++/qplatformdefs.h
+share/qt4/mkspecs/qnx-armv7le-qcc/qmake.conf
+share/qt4/mkspecs/qnx-armv7le-qcc/qplatformdefs.h
+share/qt4/mkspecs/qnx-x86-qcc/qmake.conf
+share/qt4/mkspecs/qnx-x86-qcc/qplatformdefs.h
 share/qt4/mkspecs/qws/freebsd-generic-g++/qmake.conf
 share/qt4/mkspecs/qws/freebsd-generic-g++/qplatformdefs.h
 share/qt4/mkspecs/qws/integrity-arm-cxarm/qmake.conf
@@ -401,10 +411,6 @@ share/qt4/mkspecs/unixware-cc/qmake.conf
 share/qt4/mkspecs/unixware-cc/qplatformdefs.h
 share/qt4/mkspecs/unixware-g++/qmake.conf
 share/qt4/mkspecs/unixware-g++/qplatformdefs.h
-share/qt4/mkspecs/unsupported/blackberry-armv7le-qcc/qmake.conf
-share/qt4/mkspecs/unsupported/blackberry-armv7le-qcc/qplatformdefs.h
-share/qt4/mkspecs/unsupported/blackberry-x86-qcc/qmake.conf
-share/qt4/mkspecs/unsupported/blackberry-x86-qcc/qplatformdefs.h
 share/qt4/mkspecs/unsupported/linux-armcc/qmake.conf
 share/qt4/mkspecs/unsupported/linux-armcc/qplatformdefs.h
 share/qt4/mkspecs/unsupported/linux-clang/qmake.conf
@@ -417,12 +423,32 @@ share/qt4/mkspecs/unsupported/macx-clang
 share/qt4/mkspecs/unsupported/macx-clang/Info.plist.lib
 share/qt4/mkspecs/unsupported/macx-clang/qmake.conf
 share/qt4/mkspecs/unsupported/macx-clang/qplatformdefs.h
+share/qt4/mkspecs/unsupported/macx-iosdevice-clang-legacy/qmake.conf
+share/qt4/mkspecs/unsupported/macx-iosdevice-clang-legacy/qplatformdefs.h
+share/qt4/mkspecs/unsupported/macx-iosdevice-clang/qmake.conf
+share/qt4/mkspecs/unsupported/macx-iosdevice-clang/qplatformdefs.h
+share/qt4/mkspecs/unsupported/macx-iosdevice-g++-legacy/qmake.conf
+share/qt4/mkspecs/unsupported/macx-iosdevice-g++-legacy/qplatformdefs.h
+share/qt4/mkspecs/unsupported/macx-iosdevice-g++/qmake.conf
+share/qt4/mkspecs/unsupported/macx-iosdevice-g++/qplatformdefs.h
+share/qt4/mkspecs/unsupported/macx-iosdevice-llvm-legacy/qmake.conf
+share/qt4/mkspecs/unsupported/macx-iosdevice-llvm-legacy/qplatformdefs.h
+share/qt4/mkspecs/unsupported/macx-iosdevice-llvm/qmake.conf
+share/qt4/mkspecs/unsupported/macx-iosdevice-llvm/qplatformdefs.h
+share/qt4/mkspecs/unsupported/macx-iossimulator-clang-legacy/qmake.conf
+share/qt4/mkspecs/unsupported/macx-iossimulator-clang-legacy/qplatformdefs.h
+share/qt4/mkspecs/unsupported/macx-iossimulator-clang/qmake.conf
+share/qt4/mkspecs/unsupported/macx-iossimulator-clang/qplatformdefs.h
+share/qt4/mkspecs/unsupported/macx-iossimulator-g++-legacy/qmake.conf
+share/qt4/mkspecs/unsupported/macx-iossimulator-g++-legacy/qplatformdefs.h
+share/qt4/mkspecs/unsupported/macx-iossimulator-g++/qmake.conf
+share/qt4/mkspecs/unsupported/macx-iossimulator-g++/qplatformdefs.h
+share/qt4/mkspecs/unsupported/macx-iossimulator-llvm-legacy/qmake.conf
+share/qt4/mkspecs/unsupported/macx-iossimulator-llvm-legacy/qplatformdefs.h
+share/qt4/mkspecs/unsupported/macx-iossimulator-llvm/qmake.conf
+share/qt4/mkspecs/unsupported/macx-iossimulator-llvm/qplatformdefs.h
 share/qt4/mkspecs/unsupported/qnx-X11-g++/qmake.conf
 share/qt4/mkspecs/unsupported/qnx-X11-g++/qplatformdefs.h
-share/qt4/mkspecs/unsupported/qnx-armv7le-qcc/qmake.conf
-share/qt4/mkspecs/unsupported/qnx-armv7le-qcc/qplatformdefs.h
-share/qt4/mkspecs/unsupported/qnx-x86-qcc/qmake.conf
-share/qt4/mkspecs/unsupported/qnx-x86-qcc/qplatformdefs.h
 share/qt4/mkspecs/unsupported/qws/integrity-x86-cx86/qmake.conf
 share/qt4/mkspecs/unsupported/qws/integrity-x86-cx86/qplatformdefs.h
 share/qt4/mkspecs/unsupported/qws/linux-x86-openkode-g++/qmake.conf
@@ -457,6 +483,8 @@ share/qt4/mkspecs/win32-msvc2008/qmake.c
 share/qt4/mkspecs/win32-msvc2008/qplatformdefs.h
 share/qt4/mkspecs/win32-msvc2010/qmake.conf
 share/qt4/mkspecs/win32-msvc2010/qplatformdefs.h
+share/qt4/mkspecs/win32-msvc2012/qmake.conf
+share/qt4/mkspecs/win32-msvc2012/qplatformdefs.h
 share/qt4/mkspecs/wince50standard-armv4i-msvc2005/default_post.prf
 share/qt4/mkspecs/wince50standard-armv4i-msvc2005/qmake.conf
 share/qt4/mkspecs/wince50standard-armv4i-msvc2005/qplatformdefs.h
@@ -547,6 +575,7 @@ share/qt4/mkspecs/wincewm65professional-
 @dirrm share/qt4/mkspecs/wince50standard-mipsii-msvc2005
 @dirrm share/qt4/mkspecs/wince50standard-armv4i-msvc2008
 @dirrm share/qt4/mkspecs/wince50standard-armv4i-msvc2005
+@dirrm share/qt4/mkspecs/win32-msvc2012
 @dirrm share/qt4/mkspecs/win32-msvc2010
 @dirrm share/qt4/mkspecs/win32-msvc2008
 @dirrm share/qt4/mkspecs/win32-msvc2005
@@ -565,16 +594,24 @@ share/qt4/mkspecs/wincewm65professional-
 @dirrm share/qt4/mkspecs/unsupported/qws/linux-x86-openkode-g++
 @dirrm share/qt4/mkspecs/unsupported/qws/integrity-x86-cx86
 @dirrm share/qt4/mkspecs/unsupported/qws
-@dirrm share/qt4/mkspecs/unsupported/qnx-x86-qcc
-@dirrm share/qt4/mkspecs/unsupported/qnx-armv7le-qcc
 @dirrm share/qt4/mkspecs/unsupported/qnx-X11-g++
+@dirrm share/qt4/mkspecs/unsupported/macx-iossimulator-llvm-legacy
+@dirrm share/qt4/mkspecs/unsupported/macx-iossimulator-llvm
+@dirrm share/qt4/mkspecs/unsupported/macx-iossimulator-g++-legacy
+@dirrm share/qt4/mkspecs/unsupported/macx-iossimulator-g++
+@dirrm share/qt4/mkspecs/unsupported/macx-iossimulator-clang-legacy
+@dirrm share/qt4/mkspecs/unsupported/macx-iossimulator-clang
+@dirrm share/qt4/mkspecs/unsupported/macx-iosdevice-llvm-legacy
+@dirrm share/qt4/mkspecs/unsupported/macx-iosdevice-llvm
+@dirrm share/qt4/mkspecs/unsupported/macx-iosdevice-g++-legacy
+@dirrm share/qt4/mkspecs/unsupported/macx-iosdevice-g++
+@dirrm share/qt4/mkspecs/unsupported/macx-iosdevice-clang-legacy
+@dirrm share/qt4/mkspecs/unsupported/macx-iosdevice-clang
 @dirrm share/qt4/mkspecs/unsupported/macx-clang
 @dirrm share/qt4/mkspecs/unsupported/linux-scratchbox2-g++
 @dirrm share/qt4/mkspecs/unsupported/linux-host-g++
 @dirrm share/qt4/mkspecs/unsupported/linux-clang
 @dirrm share/qt4/mkspecs/unsupported/linux-armcc
-@dirrm share/qt4/mkspecs/unsupported/blackberry-x86-qcc
-@dirrm share/qt4/mkspecs/unsupported/blackberry-armv7le-qcc
 @dirrm share/qt4/mkspecs/unsupported
 @dirrm share/qt4/mkspecs/unixware-g++
 @dirrm share/qt4/mkspecs/unixware-cc
@@ -629,12 +666,8 @@ share/qt4/mkspecs/wincewm65professional-
 @dirrm share/qt4/mkspecs/qws/integrity-arm-cxarm
 @dirrm share/qt4/mkspecs/qws/freebsd-generic-g++
 @dirrm share/qt4/mkspecs/qws
-@dirrm share/qt4/mkspecs/qpa/macx-iphonesimulator-g++
-@dirrm share/qt4/mkspecs/qpa/macx-iphonedevice-g++-armv7-nothumb
-@dirrm share/qt4/mkspecs/qpa/macx-iphonedevice-g++-armv6
-@dirrm share/qt4/mkspecs/qpa/macx-iphonedevice-g++
-@dirrm share/qt4/mkspecs/qpa/common
-@dirrm share/qt4/mkspecs/qpa
+@dirrm share/qt4/mkspecs/qnx-x86-qcc
+@dirrm share/qt4/mkspecs/qnx-armv7le-qcc
 @dirrm share/qt4/mkspecs/openbsd-g++
 @dirrm share/qt4/mkspecs/netbsd-g++
 @dirrmtry share/qt4/mkspecs/modules
@@ -696,10 +729,15 @@ share/qt4/mkspecs/wincewm65professional-
 @dirrm share/qt4/mkspecs/common/qnx
 @dirrm share/qt4/mkspecs/common/posix
 @dirrm share/qt4/mkspecs/common/mac
+@dirrm share/qt4/mkspecs/common/ios/GLES2
+@dirrm share/qt4/mkspecs/common/ios/GLES
+@dirrm share/qt4/mkspecs/common/ios
 @dirrm share/qt4/mkspecs/common/integrity
 @dirrm share/qt4/mkspecs/common/c89
 @dirrm share/qt4/mkspecs/common/aix
 @dirrm share/qt4/mkspecs/common
+@dirrm share/qt4/mkspecs/blackberry-x86-qcc
+@dirrm share/qt4/mkspecs/blackberry-armv7le-qcc
 @dirrm share/qt4/mkspecs/aix-xlc-64
 @dirrm share/qt4/mkspecs/aix-xlc
 @dirrm share/qt4/mkspecs/aix-g++-64

Modified: head/devel/qt4-assistant-adp/Makefile
==============================================================================
--- head/devel/qt4-assistant-adp/Makefile	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/devel/qt4-assistant-adp/Makefile	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	qt40
-# Date created:				Wed Jun 29 11:49:42 CEST 2005
-# Whom:					lofi@freebsd.org
-#
+# Created by: lofi@freebsd.org
 # $FreeBSD$
-#
 
 PORTNAME=	assistant
 PORTVERSION=	4.6.3

Modified: head/devel/qt4-assistant/Makefile
==============================================================================
--- head/devel/qt4-assistant/Makefile	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/devel/qt4-assistant/Makefile	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,10 +1,5 @@
-# -*-mode: makefile-*-
-# New ports collection makefile for:	qt40
-# Date created:				Wed Jun 29 11:49:42 CEST 2005
-# Whom:					lofi@freebsd.org
-#
+# Created by: lofi@freebsd.org
 # $FreeBSD$
-#
 
 PORTNAME=	assistant
 DISTVERSION=	${QT4_VERSION}
@@ -14,8 +9,9 @@ PKGNAMEPREFIX=	qt4-
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Qt documentation browser
 
-USE_QT4=	qmake_build moc_build rcc_build uic_build qt3support corelib \
-		gui network sql xml doc help webkit
+USE_QT4=	qmake_build moc_build rcc_build uic_build \
+		corelib gui help network sql webkit xml \
+		doc_run sql-sqlite3_run
 QT_NONSTANDARD=	yes
 QT_DIST=	yes
 MAKE_JOBS_SAFE=	yes
@@ -29,7 +25,7 @@ MAKE_ENV?=	QTDIR=${WRKSRC} LD_LIBRARY_PA
 
 DESKTOP_ENTRIES="Qt Assistant" "${COMMENT}" \
 		"${PREFIX}/share/pixmaps/assistant-qt4.png" \
-		"${PREFIX}/bin/assistant-qt4" "" false
+		"${PREFIX}/bin/assistant-qt4" "Development;Qt;" true
 
 DO_NOT_EXTRACT=	demos doc examples mkspecs qmake translations \
 		src/activeqt src/dbus src/multimedia src/opengl src/openvg \

Modified: head/devel/qt4-corelib/Makefile
==============================================================================
--- head/devel/qt4-corelib/Makefile	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/devel/qt4-corelib/Makefile	Sun Feb  3 17:21:56 2013	(r311473)
@@ -3,7 +3,6 @@
 
 PORTNAME=	corelib
 DISTVERSION=	${QT4_VERSION}
-PORTREVISION=	1
 CATEGORIES?=	devel
 PKGNAMEPREFIX=	qt4-
 

Modified: head/devel/qt4-declarative/Makefile
==============================================================================
--- head/devel/qt4-declarative/Makefile	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/devel/qt4-declarative/Makefile	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,9 +1,4 @@
-# New ports collection makefile for:	qt4-declarative
-# Date created:				23 May 2010
-# Whom:					avilla@FreeBSD.org
-#
 # $FreeBSD$
-#
 
 PORTNAME=	declarative
 DISTVERSION=	${QT4_VERSION}

Modified: head/devel/qt4-designer/Makefile
==============================================================================
--- head/devel/qt4-designer/Makefile	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/devel/qt4-designer/Makefile	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,10 +1,5 @@
-### -*-mode: makefile-*-
-# New ports collection makefile for:	qt40
-# Date created:				Wed Jun 29 11:49:42 CEST 2005
-# Whom:					lofi@freebsd.org
-#
+# Created by: lofi@freebsd.org
 # $FreeBSD$
-#
 
 PORTNAME=	designer
 DISTVERSION=	${QT4_VERSION}
@@ -33,7 +28,7 @@ MAKE_ENV?=	QTDIR=${WRKSRC} LD_LIBRARY_PA
 
 DESKTOP_ENTRIES="Qt Designer" "${COMMENT}" \
 		"${PREFIX}/share/pixmaps/designer-qt4.png" \
-		"${PREFIX}/bin/designer-qt4" "" false
+		"${PREFIX}/bin/designer-qt4" "Development;Qt;" true
 
 DO_NOT_EXTRACT=	demos doc examples mkspecs qmake translations \
 		src/activeqt src/dbus src/multimedia src/opengl src/openvg \

Modified: head/devel/qt4-help-tools/Makefile
==============================================================================
--- head/devel/qt4-help-tools/Makefile	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/devel/qt4-help-tools/Makefile	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	qt4-help-tools
-# Date created:				Sun May 11 23:30:38 CEST 2008
-# Whom:					danny@ricin.com
-#
+# Created by: danny@ricin.com
 # $FreeBSD$
-#
 
 PORTNAME=	help
 DISTVERSION=	${QT4_VERSION}

Modified: head/devel/qt4-help/Makefile
==============================================================================
--- head/devel/qt4-help/Makefile	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/devel/qt4-help/Makefile	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	qt4-help
-# Date created:				Sun May 11 14:43:54 CEST 2008
-# Whom:					danny@ricin.com
-#
+# Created by: danny@ricin.com
 # $FreeBSD$
-#
 
 PORTNAME=	help
 DISTVERSION=	${QT4_VERSION}

Modified: head/devel/qt4-libqtassistantclient/Makefile
==============================================================================
--- head/devel/qt4-libqtassistantclient/Makefile	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/devel/qt4-libqtassistantclient/Makefile	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,10 +1,5 @@
-# -*-mode: makefile-*-
-# New ports collection makefile for:	qt40
-# Date created:				Wed Jun 29 11:49:42 CEST 2005
-# Whom:					lofi@freebsd.org
-#
+# Created by: lofi@freebsd.org
 # $FreeBSD$
-#
 
 PORTNAME=	libQtAssistantClient
 PORTVERSION=	4.6.3

Modified: head/devel/qt4-linguist/Makefile
==============================================================================
--- head/devel/qt4-linguist/Makefile	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/devel/qt4-linguist/Makefile	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,10 +1,5 @@
-# -*-mode: makefile-*-
-# New ports collection makefile for:	qt40
-# Date created:				Wed Jun 29 11:49:42 CEST 2005
-# Whom:					lofi@freebsd.org
-#
+# Created by: lofi@freebsd.org
 # $FreeBSD$
-#
 
 PORTNAME=	linguist
 DISTVERSION=	${QT4_VERSION}
@@ -29,7 +24,7 @@ MAKE_ENV?=	QTDIR=${WRKSRC} LD_LIBRARY_PA
 
 DESKTOP_ENTRIES="Qt Linguist" "${COMMENT}" \
 		"${PREFIX}/share/pixmaps/linguist-qt4.png" \
-		"${PREFIX}/bin/linguist-qt4" "" false
+		"${PREFIX}/bin/linguist-qt4" "Development;Qt;" true
 
 DO_NOT_EXTRACT=	demos doc examples mkspecs qmake translations \
 		src/activeqt src/dbus src/multimedia src/network src/opengl \

Modified: head/devel/qt4-makeqpf/Makefile
==============================================================================
--- head/devel/qt4-makeqpf/Makefile	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/devel/qt4-makeqpf/Makefile	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,10 +1,5 @@
-# -*-mode: makefile-*-
-# New ports collection makefile for:	qt40
-# Date created:				Wed Jun 29 11:49:42 CEST 2005
-# Whom:					lofi@freebsd.org
-#
+# Created by: lofi@freebsd.org
 # $FreeBSD$
-#
 
 PORTNAME=	makeqpf
 DISTVERSION=	${QT4_VERSION}
@@ -51,7 +46,7 @@ EXTRA_PATCHES+=	${FILESDIR}/extra-patch_
 .endif
 
 .if ${ARCH} == "sparc64"
-BROKEN=		Does not compile on sparc64
+BROKEN=		does not compile on sparc64
 .endif
 
 pre-configure:

Modified: head/devel/qt4-moc/Makefile
==============================================================================
--- head/devel/qt4-moc/Makefile	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/devel/qt4-moc/Makefile	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,10 +1,5 @@
-# -*-mode: makefile-*-
-# New ports collection makefile for:	qt40
-# Date created:				Wed Jun 29 11:49:42 CEST 2005
-# Whom:					lofi@freebsd.org
-#
+# Created by: lofi@freebsd.org
 # $FreeBSD$
-#
 
 PORTNAME=	moc
 DISTVERSION=	${QT4_VERSION}
@@ -57,7 +52,7 @@ pre-build:
 .include <bsd.port.pre.mk>
 
 .if ${ARCH} == "arm"
-BROKEN=		Does not compile on arm
+BROKEN=		does not compile on arm
 .endif
 
 .include <bsd.port.post.mk>

Modified: head/devel/qt4-porting/Makefile
==============================================================================
--- head/devel/qt4-porting/Makefile	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/devel/qt4-porting/Makefile	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,10 +1,5 @@
-# -*-mode: makefile-*-
-# New ports collection makefile for:	qt40
-# Date created:				Wed Jun 29 11:49:42 CEST 2005
-# Whom:					lofi@freebsd.org
-#
+# Created by: lofi@freebsd.org
 # $FreeBSD$
-#
 
 PORTNAME=	porting
 DISTVERSION=	${QT4_VERSION}

Modified: head/devel/qt4-qdbusviewer/Makefile
==============================================================================
--- head/devel/qt4-qdbusviewer/Makefile	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/devel/qt4-qdbusviewer/Makefile	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,10 +1,5 @@
-### -*-mode: makefile-*-
-# New ports collection makefile for:	qt40
-# Date created:				Wed Jun 29 11:49:42 CEST 2005
-# Whom:					lofi@freebsd.org
-#
+# Created by: lofi@freebsd.org
 # $FreeBSD$
-#
 
 PORTNAME=	qdbusviewer
 DISTVERSION=	${QT4_VERSION}
@@ -12,9 +7,9 @@ CATEGORIES?=	devel
 PKGNAMEPREFIX=	qt4-
 
 MAINTAINER=	kde@FreeBSD.org
-COMMENT=	Qt4 D-BUS viewer
+COMMENT=	Qt4 D-Bus viewer
 
-LIB_DEPENDS=	dbus-1.3:${PORTSDIR}/devel/dbus
+LIB_DEPENDS=	dbus-1:${PORTSDIR}/devel/dbus
 
 USE_QT4=	qmake_build moc_build rcc_build corelib dbus gui xml \
 		clucene
@@ -29,6 +24,10 @@ CONFIGURE_ENV?=	QTDIR=${WRKSRC} PATH=${W
 MAKE_ENV?=	QTDIR=${WRKSRC} LD_LIBRARY_PATH=${WRKSRC}/lib:$$LD_LIBRARY_PATH \
 		PATH=${WRKSRC}/bin:$$PATH
 
+DESKTOP_ENTRIES="Qt D-Bus viewer" "${COMMENT}" \
+		"${PREFIX}/share/pixmaps/qdbusviewer.png" \
+		"${PREFIX}/bin/qdbusviewer" "Development;Qt;" true
+
 DO_NOT_EXTRACT=	demos doc examples mkspecs qmake translations \
 		src/activeqt src/multimedia src/network src/opengl src/openvg \
 		src/phonon src/qt3support src/s60installs src/s60main \
@@ -53,4 +52,8 @@ post-patch:
 	${LN} -sf ${LOCALBASE}/bin/moc-qt4 ${WRKSRC}/bin/moc
 	${LN} -sf ${LOCALBASE}/bin/rcc ${WRKSRC}/bin/rcc
 
+post-install:
+	${INSTALL_DATA} ${BUILD_WRKSRC}/images/qdbusviewer-128.png \
+		${PREFIX}/share/pixmaps/qdbusviewer.png
+
 .include <bsd.port.mk>

Modified: head/devel/qt4-qdbusviewer/pkg-plist
==============================================================================
--- head/devel/qt4-qdbusviewer/pkg-plist	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/devel/qt4-qdbusviewer/pkg-plist	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,2 +1,3 @@
 bin/qdbusviewer
 %%DEBUG%%bin/qdbusviewer.debug
+share/pixmaps/qdbusviewer.png

Modified: head/devel/qt4-qdoc3/Makefile
==============================================================================
--- head/devel/qt4-qdoc3/Makefile	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/devel/qt4-qdoc3/Makefile	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	qdoc3
-# Date created:		2009-08-20
-# Whom:			Maxim Ignatenko <gelraen.ua@gmail.com>
-#
+# Created by: Maxim Ignatenko <gelraen.ua@gmail.com>
 # $FreeBSD$
-#
 
 PORTNAME=	qdoc3
 DISTVERSION=	${QT4_VERSION}

Modified: head/devel/qt4-qmlviewer/Makefile
==============================================================================
--- head/devel/qt4-qmlviewer/Makefile	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/devel/qt4-qmlviewer/Makefile	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	qt4-qmlviewer
-# Date created:				13 June 2012
-# Whom:					gahr
-#
+# Created by: gahr
 # $FreeBSD$
-#
 
 PORTNAME=	qmlviewer
 DISTVERSION=	${QT4_VERSION}
@@ -26,6 +22,11 @@ CONFIGURE_ENV?=	QTDIR=${WRKSRC} PATH=${W
 MAKE_ENV?=	QTDIR=${WRKSRC} LD_LIBRARY_PATH=${WRKSRC}/lib:$$LD_LIBRARY_PATH \
 		PATH=${WRKSRC}/bin:$$PATH
 
+# qtlogo.png is installed by qt4-gui
+DESKTOP_ENTRIES="Qt QML viewer" "${COMMENT}" \
+		"${LOCALBASE}/share/pixmaps/qtlogo.png" \
+		"${PREFIX}/bin/qmlviewer" "Development;Qt;" true
+
 DO_NOT_EXTRACT=	demos doc examples mkspecs qmake translations \
 		src/activeqt src/multimedia src/openvg \
 		src/phonon src/qt3support src/s60installs src/s60main \

Modified: head/devel/qt4-qt3support/Makefile
==============================================================================
--- head/devel/qt4-qt3support/Makefile	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/devel/qt4-qt3support/Makefile	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,10 +1,5 @@
-# -*-mode: makefile-*-
-# New ports collection makefile for:	qt40
-# Date created:				Wed Jun 29 11:49:42 CEST 2005
-# Whom:					lofi@freebsd.org
-#
+# Created by: lofi@freebsd.org
 # $FreeBSD$
-#
 
 PORTNAME=	qt3support
 DISTVERSION=	${QT4_VERSION}

Modified: head/devel/qt4-qtestlib/Makefile
==============================================================================
--- head/devel/qt4-qtestlib/Makefile	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/devel/qt4-qtestlib/Makefile	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,10 +1,5 @@
-# -*-mode: makefile-*-
-# New ports collection makefile for:	qt40
-# Date created:				Wed Jun 29 11:49:42 CEST 2005
-# Whom:					lofi@freebsd.org
-#
+# Created by: lofi@freebsd.org
 # $FreeBSD$
-#
 
 PORTNAME=	qtestlib
 DISTVERSION=	${QT4_VERSION}

Modified: head/devel/qt4-qvfb/Makefile
==============================================================================
--- head/devel/qt4-qvfb/Makefile	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/devel/qt4-qvfb/Makefile	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,10 +1,5 @@
-# -*-mode: makefile-*-
-# New ports collection makefile for:	qt40
-# Date created:				Wed Jun 29 11:49:42 CEST 2005
-# Whom:					lofi@freebsd.org
-#
+# Created by: lofi@freebsd.org
 # $FreeBSD$
-#
 
 PORTNAME=	qvfb
 DISTVERSION=	${QT4_VERSION}
@@ -27,6 +22,10 @@ CONFIGURE_ENV?=	QTDIR=${WRKSRC} PATH=${W
 MAKE_ENV?=	QTDIR=${WRKSRC} LD_LIBRARY_PATH=${WRKSRC}/lib:$$LD_LIBRARY_PATH \
 		PATH=${WRKSRC}/bin:$$PATH
 
+DESKTOP_ENTRIES="Qt Virtual Framebuffer" "${COMMENT}" \
+		"${PREFIX}/share/pixmaps/qvfb-qt4.png" \
+		"${PREFIX}/bin/qvfb-qt4" "Development;Qt;" true
+
 DO_NOT_EXTRACT=	demos doc examples mkspecs qmake translations \
 		src/activeqt src/dbus src/multimedia src/network src/opengl \
 		src/openvg src/phonon src/qt3support src/s60installs \
@@ -56,4 +55,8 @@ pre-configure:
 	${LN} -sf ${LOCALBASE}/bin/uic-qt4 ${WRKSRC}/bin/uic
 	${LN} -sf ${LOCALBASE}/bin/rcc ${WRKSRC}/bin/rcc
 
+post-install:
+	${INSTALL_DATA} ${BUILD_WRKSRC}/images/logo.png \
+		${PREFIX}/share/pixmaps/qvfb-qt4.png
+
 .include <bsd.port.mk>

Modified: head/devel/qt4-qvfb/pkg-plist
==============================================================================
--- head/devel/qt4-qvfb/pkg-plist	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/devel/qt4-qvfb/pkg-plist	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,2 +1,3 @@
 bin/qvfb-qt4
 %%DEBUG%%bin/qvfb-qt4.debug
+share/pixmaps/qvfb-qt4.png

Modified: head/devel/qt4-rcc/Makefile
==============================================================================
--- head/devel/qt4-rcc/Makefile	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/devel/qt4-rcc/Makefile	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,10 +1,5 @@
-## -*-mode: makefile-*-
-# New ports collection makefile for:	qt40
-# Date created:				Wed Jun 29 11:49:42 CEST 2005
-# Whom:					lofi@freebsd.org
-#
+# Created by: lofi@freebsd.org
 # $FreeBSD$
-#
 
 PORTNAME=	rcc
 DISTVERSION=	${QT4_VERSION}
@@ -56,7 +51,7 @@ pre-build:
 .include <bsd.port.pre.mk>
 
 .if ${ARCH} == "arm"
-BROKEN=		Does not configure on arm
+BROKEN=		does not configure on arm
 .endif
 
 .include <bsd.port.post.mk>

Modified: head/devel/qt4-script/Makefile
==============================================================================
--- head/devel/qt4-script/Makefile	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/devel/qt4-script/Makefile	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,10 +1,5 @@
-# -*-mode: makefile-*-
-# New ports collection makefile for:	qt40
-# Date created:				Wed Jun 29 11:49:42 CEST 2005
-# Whom:					lofi@freebsd.org
-#
+# Created by: lofi@freebsd.org
 # $FreeBSD$
-#
 
 PORTNAME=	script
 DISTVERSION=	${QT4_VERSION}

Modified: head/devel/qt4-scripttools/Makefile
==============================================================================
--- head/devel/qt4-scripttools/Makefile	Sun Feb  3 16:39:43 2013	(r311472)
+++ head/devel/qt4-scripttools/Makefile	Sun Feb  3 17:21:56 2013	(r311473)
@@ -1,9 +1,4 @@
-# New ports collection makefile for:	qt4-scripttools
-# Date created:		2009-04-28
-# Whom:			Max Brazhnikov <makc@freebsd.org>
-#
 # $FreeBSD$
-#
 

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Max Brazhnikov freebsd_committer 2013-02-03 17:38:50 UTC
State Changed
From-To: patched->closed

Committed. Thanks for report!